/*-------------------------------------------------------------------------+
| Copyright 2015 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.ui.extension;

import org.eclipse.emf.ecore.EObject;
import org.eclipse.gef.EditPartFactory;
import org.fortiss.tooling.kernel.service.base.EObjectAwareServiceBase;
import org.fortiss.tooling.kernel.service.base.IEObjectAware;
import org.fortiss.tooling.kernel.ui.service.IAllocationEditPartFactoryService;

/**
 * This is a wrapper interface for {@link EditPartFactory} from the GEF
 * framework. It is necessary in order to use {@link IEObjectAware} and the
 * {@link EObjectAwareServiceBase} implementation.
 * It is intended to be used as an additional factory in parallel to {@link IEditPartFactory} in
 * order to use allocations between two different GEF views.
 * 
 * @see IAllocationEditPartFactoryService
 * 
 * @author eder
 */
public interface IAllocationEditPartFactory extends IEObjectAware<EObject>, EditPartFactory {
	// no special content, inheritance of IEObjectAware and EditPartFactory only
}
