/*-------------------------------------------------------------------------+
|                                                                          |
| Copyright 2005-2011 The ConQAT Project                                   |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+-------------------------------------------------------------------------*/
package org.conqat.ide.commons.ui.action;

import org.eclipse.jface.action.Action;
import org.eclipse.jface.viewers.AbstractTreeViewer;

import org.conqat.ide.commons.ui.ECCSMCommonsImage;

/**
 * Action for expanding all elements in an {@link AbstractTreeViewer}.
 * 
 * @author heineman
 * @author $Author$
 * @version $Rev$
 * @levd.rating GREEN Hash: 0762993543F0AF83DFCC054F0BE47BD2
 */
public class TreeViewerExpandAllAction extends Action {

	/** The tree viewer */
	private AbstractTreeViewer treeViewer;

	/** Constructor */
	public TreeViewerExpandAllAction(AbstractTreeViewer treeViewer) {
		this.treeViewer = treeViewer;
		setText("Expand all");
		setImageDescriptor(ECCSMCommonsImage.EXPAND_ALL.getImageDescriptor());
	}

	/** {@inheritDoc} */
	@Override
	public void run() {
		treeViewer.expandAll();
	}

}